
From: a.othieno@bluewin.ch (Arthur Othieno)

Add a table entry for 750CXe DD2.4 ("Gekko") as found in the GameCube from
Nintendo:

  http://www-306.ibm.com/chips/techlib/techlib.nsf/techdocs/291C8D0EF3EAEC1687256B72005C745C#C1

Signed-off-by: Arthur Othieno <a.othieno@bluewin.ch>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/kernel/cputable.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+)

diff -puN arch/ppc/kernel/cputable.c~ppc32-add-cputable-entry-for-750cxe-dd24-gekko arch/ppc/kernel/cputable.c
--- devel/arch/ppc/kernel/cputable.c~ppc32-add-cputable-entry-for-750cxe-dd24-gekko	2005-08-30 18:10:42.000000000 -0700
+++ devel-akpm/arch/ppc/kernel/cputable.c	2005-08-30 18:10:42.000000000 -0700
@@ -240,6 +240,20 @@ struct cpu_spec	cpu_specs[] = {
 		.num_pmcs		= 4,
 		.cpu_setup		= __setup_cpu_750cx
 	},
+	{	/* 750CXe "Gekko" (83214) */
+		.pvr_mask		= 0xffffffff,
+		.pvr_value		= 0x00083214,
+		.cpu_name		= "750CXe",
+		.cpu_features		= CPU_FTR_COMMON |
+			CPU_FTR_SPLIT_ID_CACHE | CPU_FTR_MAYBE_CAN_DOZE |
+			CPU_FTR_USE_TB | CPU_FTR_L2CR | CPU_FTR_TAU |
+			CPU_FTR_HPTE_TABLE | CPU_FTR_MAYBE_CAN_NAP,
+		.cpu_user_features	= COMMON_PPC,
+		.icache_bsize		= 32,
+		.dcache_bsize		= 32,
+		.num_pmcs		= 4,
+		.cpu_setup		= __setup_cpu_750cx
+	},
 	{	/* 745/755 */
 		.pvr_mask		= 0xfffff000,
 		.pvr_value		= 0x00083000,
_
